Bug 247409 - [RFE] Compiz 0.5.1 and a rewrite of DesktopEffects to make use of compizconfig-python
[RFE] Compiz 0.5.1 and a rewrite of DesktopEffects to make use of compizconfi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 247406
  Show dependency treegraph
 
Reported: 2007-07-09 00:42 EDT by Mohd Izhar Firdaus Ismail
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 17:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-07-09 00:42:32 EDT
I have packaged compiz 0.5.1 , but I want to get more opinion about
desktop-effects menu.

the latest compiz now have a different configuration manager/plugin called
compizconfig which is provided by libcompizconfig. Previous compiz uses
glib/gconf by default. libcompizconfig usage, obsoletes the current
desktop-effects implementation. I have wrote a new desktop-effects so that it
will make use of compizconfig-python bindings for enabling/disabling plugins and
I want some opinion about this from more experienced packager. 

The srpm for compiz 0.5.1 is here. the desktop-effects in this srpm is still the
original desktop-effects. 

SRPM: 
http://devel.foss.org.my/~kagesenshi/repo/private/testing/compiz/compiz-0.5.1-0.7.20070708git.fc7.src.rpm

The python implementation of desktop-effects is available here.

Py Desktop Effects: 
http://devel.foss.org.my/~kagesenshi/repo/private/testing/pydesktop-effects-0.1.tar.bz2

additional dependencies for the python desktop effects
compiz-bcop: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247405
libcompizconfig: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247406
compizconfig-python: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247408
Comment 1 Mohd Izhar Firdaus Ismail 2007-07-20 10:50:44 EDT
I have updated compiz 0.5.1 package

SRPM ->
http://devel.foss.org.my/~kagesenshi/repo/private/testing/compiz/compiz-0.5.1-0.11.20070720git.fc7.src.rpm

 * all of previous compiz 0.3.6 patches are now merges into the code
 * pydesktop-effects is used by default, replacing desktop-effects

for pydesktop-effects, I've uploaded it into a svn repo, 
http://kagesenshi-private.googlecode.com/svn/trunk/pydesktop-effects/

I would really like some comments whether it is better to replace with
pydesktop-effects or find a way to make desktop-effects uses libcompizconfig.so
.. if the latter is chosen, someone can provide patches?
Comment 2 Kristian Høgsberg 2007-08-21 17:45:48 EDT
I've updated compiz to 0.5.2 now.  We're going to stay with desktop-effects for
now, but longer term we might move it into the gnome-appearance-properties dialog.

Note You need to log in before you can comment on or make changes to this bug.